package com.jiayue.ssi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jiayue.ssi.entity.ForecastPowerShortTerm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 *  短期Mapper
 *
 * @author xsl
 * @since 2023-03-10
 */
@Mapper
public interface ForecastPowerShortTermMapper extends BaseMapper<ForecastPowerShortTerm> {
    @Select("SELECT t.* FROM t_forecast_power_short_term t WHERE t.forecast_time>= #{startTime} and t.forecast_time<= #{endTime} order by t.forecast_time")
    public List<ForecastPowerShortTerm> findByForecastTimeBetween(@Param("startTime") Long startTime, @Param("endTime") Long endTime);
}
